### Enumeration

# FwupdPlugin ContextEspFileFlags

#### Declaration

    flags FwupdPlugin.ContextEspFileFlags

#### Description [src]

The flags to use when loading files in the ESP.

#### Members

`FU_CONTEXT_ESP_FILE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0.0
`FU_CONTEXT_ESP_FILE_FLAG_INCLUDE_FIRST_STAGE`

  Include 1st stage bootloaders like shim.

  - Value: `1`
  - Available since: 2.0.0
`FU_CONTEXT_ESP_FILE_FLAG_INCLUDE_SECOND_STAGE`

  Include 2nd stage bootloaders like shim.

  - Value: `2`
  - Available since: 2.0.0
`FU_CONTEXT_ESP_FILE_FLAG_INCLUDE_REVOCATIONS`

  Include revokcations, for example the `revocations.efi` file used by shim.

  - Value: `4`
  - Available since: 2.0.0
`FU_CONTEXT_ESP_FILE_FLAG_UNKNOWN`

  Unknown flag value.

  - Value: `0`
  - Available since: 2.0.0